Redmine - Patch #23146

Show revision details using the same structure and look from the journals details
2016-06-23 12:26 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.4.0

Description

In #23027 was proposed to use lighter colors for revision details in order to make the commit messages more obvious. This patch
integrates that changes and also adds the following changes:

1. move the committer author element above the revision details

2. show the revision details (ID, Parent, Child) with bullet points and indented to right in the same way how the issue attributes are
shown in the journals

3. move the user avatar for commit author from revision number element to author element

Current trunk:
before.png

Only with the patch from #23027:
23027.png

With the attached patch:
after.png

Regarding the CSS rules, | preferred to add them to the existing journals rules and not to duplicates them.

Related issues:
Related to Redmine - Patch #23027: Lighter colors for revision info Closed

Associated revisions

Revision 15761 - 2016-08-30 23:11 - Jean-Philippe Lang

Show revision details using the same structure and look from the journals details (#23146).

Patch by Marius BALTEANU.

History

#1 - 2016-06-25 10:41 - Go MAEDA

- Target version set to 3.4.0

It looks very nice and improves consistency of Ul. Setting target version to 3.4.0.

#2 - 2016-06-25 10:42 - Go MAEDA
- Related to Patch #23027: Lighter colors for revision info added

#3 - 2016-08-30 23:12 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed, thanks.
